Onboard New Entity
curl --request POST \
--url https://api.example.com/back-office/onboard/entity \
--header 'Content-Type: application/json' \
--data '
{
"organization": {
"email": "jsmith@example.com",
"name": "<string>",
"slug": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"hyfin": [
{
"hyfinAPIBaseUrl": "<string>",
"hyfinSiteId": "<string>",
"token": "<string>"
}
],
"integrations": [
{
"serviceTypeId": "<string>",
"hyfinSiteId": "<string>",
"configuration": "<unknown>"
}
],
"user": {
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>"
}
}
'import requests
url = "https://api.example.com/back-office/onboard/entity"
payload = {
"organization": {
"email": "jsmith@example.com",
"name": "<string>",
"slug": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"hyfin": [
{
"hyfinAPIBaseUrl": "<string>",
"hyfinSiteId": "<string>",
"token": "<string>"
}
],
"integrations": [
{
"serviceTypeId": "<string>",
"hyfinSiteId": "<string>",
"configuration": "<unknown>"
}
],
"user": {
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
organization: {
email: 'jsmith@example.com',
name: '<string>',
slug: '<string>',
phoneNumber: '<string>',
website: '<string>'
},
hyfin: [{hyfinAPIBaseUrl: '<string>', hyfinSiteId: '<string>', token: '<string>'}],
integrations: [
{serviceTypeId: '<string>', hyfinSiteId: '<string>', configuration: '<unknown>'}
],
user: {name: '<string>', email: 'jsmith@example.com', password: '<string>'}
})
};
fetch('https://api.example.com/back-office/onboard/entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"organization": {
"email": "jsmith@example.com",
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"phoneNumber": "<string>",
"website": "<string>"
},
"hyfin": [
{
"hyfinAPIBaseUrl": "<string>",
"hyfinSiteId": "<string>",
"token": "<string>"
}
],
"integrations": [
{
"serviceTypeId": "<string>",
"hyfinSiteId": "<string>",
"configuration": "<unknown>"
}
],
"user": {
"name": "<string>",
"email": "jsmith@example.com",
"password": "<string>",
"id": "<string>"
},
"id": "<string>",
"apiKey": "<string>"
},
"code": "health_status_ok",
"message": "<string>"
}{
"code": "validation_error",
"message": "<string>",
"data": [
"<unknown>"
]
}{
"code": "unauthorized",
"message": "<string>",
"data": "<unknown>"
}{
"code": "resource_already_exists",
"message": "<string>",
"data": "<unknown>"
}{
"code": "internal_server_error",
"message": "<string>",
"data": "<unknown>"
}Onboarding
Onboard New Entity
Create a new entity through the onboarding process.
POST
/
back-office
/
onboard
/
entity
Onboard New Entity
Body
application/json
Onboard request body
Response
Successfully onboarded new entity
Show child attributes
Show child attributes
Available options:
health_status_ok, health_status_error, validation_error, bad_request, unauthorized, forbidden, not_found, method_not_allowed, internal_server_error, organization_not_found, cannot_access_organization, api_key_not_found, resource_already_exists